Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030264
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2015-06-25 18:532015-07-28 13:39
ReporteregoitzView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRR15Q2.3
StatusclosedFix in branchFixed in SCM revision9dc2c6b2c4ec
ProjectionnoneETAnoneTarget VersionRR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR14Q2.5SCM revision 
Review Assigned Toguilleaer
Regression levelProduction - QA Approved
Regression date2015-02-20
Regression introduced in releaseRR15Q2
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/25fb87777026 [^]
Triggers an Emergency PackNo
Summary

0030264: Not possible to import order from pos if the payment method does not create transactoins

DescriptionSince q2 the orders created on the terminal using a payment method that does not create transactoins are moved to errors while importing but there is not way to import them.
Steps To Reproduce-Define a payment method to not create transactions
-Assign it to a terminal type and define a terminal to use that payment method
-Create a order and pay using that payment method
*See that it is moved to errors while importing
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030251RR15Q3 closedmarvintm Not possible to import order from pos if the payment method does not create transactoins 

-  Notes
(0078816)
hgbot (developer)
2015-07-15 16:10

Repository: retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal
Changeset: 9dc2c6b2c4ec18cc556d7a4c82e3e350b56a4cf8
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 15 16:09:32 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/9dc2c6b2c4ec18cc556d7a4c82e3e350b56a4cf8 [^]

Fixed issue 30264. Orderloader should not fail if there are no transactions for a given payment method, as this could be perfectly fine behavior depending on the configuration.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0079097)
guilleaer (developer)
2015-07-28 13:39

tested & verified

- Issue History
Date Modified Username Field Change
2015-06-29 10:58 marvintm Type defect => backport
2015-06-29 10:58 marvintm Target Version RR15Q3 => RR15Q2.3
2015-06-29 13:53 dmitry_mezentsev Tag Attached: Approved
2015-07-15 16:10 hgbot Checkin
2015-07-15 16:10 hgbot Note Added: 0078816
2015-07-15 16:10 hgbot Status scheduled => resolved
2015-07-15 16:10 hgbot Resolution open => fixed
2015-07-15 16:10 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.retail.posterminal/rev/9dc2c6b2c4ec18cc556d7a4c82e3e350b56a4cf8 [^]
2015-07-28 13:39 guilleaer Review Assigned To => guilleaer
2015-07-28 13:39 guilleaer Note Added: 0079097
2015-07-28 13:39 guilleaer Status resolved => closed
2015-07-28 13:39 guilleaer Fixed in Version => RR15Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker